%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  GenWin
%global packver   1.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.0
Release:          1%{?dist}%{?buildtag}
Summary:          Spline Based Window Boundaries for Genomic Analyses

License:          MIT + file LICENSE
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.1.1
Requires:         R-core >= 3.1.1
BuildArch:        noarch
BuildRequires:    R-CRAN-pspline 
BuildRequires:    R-stats 
BuildRequires:    R-graphics 
Requires:         R-CRAN-pspline 
Requires:         R-stats 
Requires:         R-graphics 

%description
Defines window or bin boundaries for the analysis of genomic data.
Boundaries are based on the inflection points of a cubic smoothing spline
fitted to the raw data. Along with defining boundaries, a technique to
evaluate results obtained from unequally-sized windows is provided.
Applications are particularly pertinent for, though not limited to, genome
scans for selection based on variability between populations (e.g. using
Wright's fixations index, Fst, which measures variability in
subpopulations relative to the total population).

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
